### Method

# Hex Document get_undo_data

#### Declaration

    HexChangeData*
    hex_document_get_undo_data (
      HexDocument* doc
    )

#### Description

Get the undo data at the top of the undo stack of a `HexDocument`, if any.

#### Return value

Type: `HexChangeData`

A pointer to the `HexChangeData` structure at the top of the undo stack, or `NULL`.

The returned data is owned by the instance.